Uninitialized constant Chef::Provider::Package::Apt


#1

When I issue the “vagrant up” command in a cookbook directory with a proper
Vagrantfile, vagrant quits unexpectedly. I upgraded to the latest version of
Vagrant as well as the latest version of vagrant-berkshelf to no avail. I
have included the stack trace, gems, and plugin versions below. I do not
believe this to be a vagrant issue as I have installed multiple different
vagrant installs, as well as different versions of plugins just to have the
same happen. I’ve found very little on this subject with no answers. Thanks
in advance

==================== Stack Trace ========================

$ vagrant up

Vagrant failed to initialize at a very early stage:

The plugins failed to load properly. The error message given is
shown below.

uninitialized constant Chef::Provider::package::Apt

==================== Versions/Gems ======================

Vagrant 1.5.4

Vagrant plugin list:

chef (0.8.10)
vagrant-berkshelf (2.0.1)
vagrant-login (1.0.1, system)
vagrant-omnibus (1.3.1)
vagrant-share (1.0.1, system)

Using rvm with ruby-2.1.1, also set as default ruby

$ gem list

*** LOCAL GEMS ***

activesupport (3.2.12)
addressable (2.3.6, 2.3.4)
akami (1.2.0)
amq-protocol (1.9.2)
archive-tar-minitar (0.5.2)
berkshelf (3.1.1, 1.4.4)
berkshelf-api-client (1.2.0)
bigdecimal (1.2.4)
buff (0.0.6)
buff-config (0.4.0, 0.2.0)
buff-extensions (0.5.0, 0.4.0)
buff-ignore (1.1.1)
buff-ruby_engine (0.1.0)
buff-shell_out (0.1.0)
builder (3.2.0)
bundler (1.6.1)
bundler-unload (1.0.2)
bunny (1.2.1)
celluloid (0.16.0.pre, 0.15.2, 0.14.0, 0.13.0)
celluloid-io (0.16.0.pre, 0.15.0, 0.14.0)
chef (0.8.10)
childprocess (0.3.9)
chozo (0.6.1)
dep-selector-libgecode (1.0.0)
dep_selector (1.0.3.rc.0)
erubis (2.7.0)
executable-hooks (1.3.1)
extlib (0.9.16)
faraday (0.9.0, 0.8.7)
faraday_middleware (0.9.1)
ffi (1.9.3, 1.8.1)
foodcritic (2.1.0)
gem-wrappers (1.2.4)
gherkin (2.11.8)
gssapi (1.0.3)
gyoku (1.0.0)
hashie (2.0.5)
hitimes (1.2.1)
httpclient (2.2.0.2)
httpi (0.9.7)
i18n (0.6.4)
io-console (0.4.2)
ipaddress (0.8.0)
json (1.8.1, 1.7.7)
little-plugger (1.1.3)
log4r (1.1.10)
logging (1.6.2)
mime-types (1.25.1)
minitar (0.5.4)
minitest (4.7.5)
mixlib-authentication (1.3.0)
mixlib-cli (1.2.2)
mixlib-config (2.1.0, 1.1.2)
mixlib-log (1.6.0)
mixlib-shellout (1.4.0, 1.1.0)
moneta (0.7.20)
multi_json (1.7.3)
multipart-post (1.2.0)
net-http-persistent (2.8)
net-scp (1.0.4)
net-ssh (2.2.2)
nio4r (1.0.0)
nokogiri (1.5.9)
nori (1.1.5)
octokit (3.0.0)
ohai (7.0.2, 6.22.0)
polyglot (0.3.3)
psych (2.0.3)
rack (1.5.2)
rak (1.4)
rake (10.1.0)
rash (0.4.0)
rdoc (4.1.0)
retryable (1.3.3)
ridley (3.1.0, 0.12.2)
rubygems-bundler (1.4.3)
rubyntlm (0.1.1)
rvm (1.11.3.9)
savon (0.9.5)
sawyer (0.5.4)
semverse (1.1.0)
solve (1.1.0, 0.4.4)
spiceweasel (2.2.0)
systemu (2.5.2)
test-unit (2.1.1.0)
thor (0.18.1, 0.18.0)
thor-foodcritic (0.2.0)
timers (2.0.0, 1.1.0)
treetop (1.4.12)
uuidtools (2.1.4)
vagrant-berkshelf (2.0.1)
varia_model (0.3.2)
wasabi (1.0.0)
winrm (1.1.2)
yajl-ruby (1.1.0)


#2

On Tue, Apr 22, 2014 at 2:00 PM, klively@namimedia.com wrote:

$ gem list

*** LOCAL GEMS ***

chef (0.8.10)

The current version of Chef is 11.12.2

Bryan


#3

I also had the latest chef gem installed, but I removed 0.8.10 just to be sure. Same issues as before.

On Apr 22, 2014, at 12:29, Bryan McLellan btm@loftninjas.org wrote:

On Tue, Apr 22, 2014 at 2:00 PM, klively@namimedia.com wrote:

$ gem list

*** LOCAL GEMS ***

chef (0.8.10)

The current version of Chef is 11.12.2

Bryan